#include <iostream>
using namespace std;


int main()
{
    long int p, q, r, L, R, i, j = 0;
    float ip, iq, ir, iip;
    cin >> p >> q >> r >> L >> R;
    
    
    for (i = L; i <= R; i++) {
        ip = (i / p); if ((float)i / p > ip) ip++;
        iq = (i / q); if ((float)i / q > iq) iq++;
        ir = (i / r); if ((float)i / r > ir) ir++;
        if ((ip+iq+ir) <= i) j++;

    }
    
    cout << j;

}